Scilab Function

chol - Factorisation de Cholesky

### Calling Sequence

  `[R]=chol(X)`

### Parameters

- `X` : matrice réelle ou complexe

### Description

Si `X` est hermitienne (symétrique dans le cas réel) définie positive, alors `R = chol(X)` renvoie une matrice triangulaire supérieure `R` telle que `R'*R = X` .

`chol(X)` utilise uniquement la partie triangulaire supérieure de `X` dont la partie triangulaire inférieure est supposée être la transposée (transposée conjuguée dans le cas complexe).

### Examples

        W=rand(5,5)+%i*rand(5,5);
        X=W*W';
        R=chol(X);
        norm(R'*R-X)

### See Also

`spchol` , `qr` , `svd` , `bdiag` , `fullrf` ,

### Used Function

La décomposition de Cholesky est basée sur les routines Lapack DPOTRF pour les matrices réelles et ZPOTRF pour le cas complexe.